Subject: Re: libbpf distro packaging

From: Jiri Olsa <[email-masked]>
Date: Wed, 16 Oct 2019 12:01:45 +0200

On Fri, Oct 11, 2019 at 09:14:19PM +0000, Julia Kartseva wrote:
> Hi Jiri,
> 
> systemd folks published libbpf CentOS 7 package in systemd corp repo: [1],
> so guess that proves that deps from other repo are fine.

yea, actualy got request for that:
  https://bugzilla.redhat.com/show_bug.cgi?id=1762219

jirka

> 
> Rebuild is fairly simple: [2]
> 
> [1] https://copr.fedorainfracloud.org/coprs/mrc0mmand/systemd-centos-ci/build/1053694/
> [2] https://github.com/systemd/systemd/pull/13744#issuecomment-541168076
> 
> On 10/8/19, 12:40 AM, "Jiri Olsa" <[email-masked]> wrote:
> >
> > On Mon, Oct 07, 2019 at 12:25:51AM +0000, Julia Kartseva wrote:
> > > 
> > > I wonder what are the steps to make libbpf available for CentOS {7|8} as well?
> > > One (likely the quickest) way to do that is to publish it to Fedora's EPEL [1].
> > > 
> > > I have a little concern about dependencies, namely elfutils-libelf-devel and 
> > > elfutils-devel are sourced directly by CentOS repos, e.g. [2], not sure if 
> > > dependencies from another repo are fine.
> > > 
> > > Thoughts? Thanks!
> >
> > I think that should be ok, I'll ask around and let you know
> >
> > jirka
>